Loading...
Searching...
No Matches
L4::Types::Int_for_size< SIZE, bool > Struct Template Reference

Metafunction to get an unsigned integral type for the given size. More...

Inheritance diagram for L4::Types::Int_for_size< SIZE, bool >:
Collaboration diagram for L4::Types::Int_for_size< SIZE, bool >:

## Detailed Description

template<unsigned SIZE, bool = true>
struct L4::Types::Int_for_size< SIZE, bool >

Metafunction to get an unsigned integral type for the given size.

Template Parameters

  SIZE | The size of the integer in bytes.

Definition at line 153 of file types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/types